| Bsoft 2.0.5 Bernard's software package

Functions | Variables
mol_select.cpp File Reference

Library routines to select atomic coordinates. More...

`#include "rwmolecule.h"`
`#include "rwatomprop.h"`
`#include "rwresprop.h"`
`#include "mol_select.h"`
`#include "mol_util.h"`
`#include "seq_util.h"`
`#include "linked_list.h"`
`#include "Matrix.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
long | molgroup_atoms_selected (Bmolgroup *molgroup)
| Returns the number of atoms selected. More...
long | molgroup_select (Bmolgroup *molgroup, Bstring selstr)
| Sets selection based on a specification. More...
long | molgroup_select_all (Bmolgroup *molgroup)
| Sets selection for all atoms. More...
long | molgroup_deselect_all (Bmolgroup *molgroup)
| Unsets selection for all atoms. More...
int | molgroup_select_chains (Bmolgroup *molgroup, Bstring chains)
| Selects molecules. More...
int | molgroup_coor_select_ring (Bmolgroup *molgroup, double rmin, double rmax)
| Selects atoms in a ring. More...
int | molgroup_coor_select (Bmolgroup *molgroup, Vector3< double > min, Vector3< double > max)
| Selects atoms within a box. More...

## Variables
int | verbose

## Detailed Description

Library routines to select atomic coordinates.

Author
  Bernard Heymann

Date
  Created: 19980214
  Modified: 20170522

Definition in file mol_select.cpp.

## Function Documentation

## ◆ molgroup_atoms_selected()

long molgroup_atoms_selected | ( | Bmolgroup * | molgroup | ) |

Returns the number of atoms selected.

Parameters

  *molgroup | molecule group structure.

Returns
  long number of atoms selected.

Definition at line 27 of file mol_select.cpp.

## ◆ molgroup_coor_select()

int molgroup_coor_select | ( | Bmolgroup * | molgroup,
|  | Vector3< double > | min,
|  | Vector3< double > | max
| ) |  |

Selects atoms within a box.

Parameters

  *molgroup | molecule group structure.
  min | three-valued vector of minima.
  max | three-valued vector of maxima.

Returns
  int 0.

Definition at line 233 of file mol_select.cpp.

## ◆ molgroup_coor_select_ring()

int molgroup_coor_select_ring | ( | Bmolgroup * | molgroup,
|  | double | rmin,
|  | double | rmax
| ) |  |

Selects atoms in a ring.

Parameters

  *molgroup | molecule group structure.
  rmin | minimum radius.
  rmax | maximum radius.

Returns
  int 0.

Definition at line 195 of file mol_select.cpp.

## ◆ molgroup_deselect_all()

long molgroup_deselect_all | ( | Bmolgroup * | molgroup | ) |

Unsets selection for all atoms.

Parameters

  *molgroup | molecule group structure.

Returns
  long number of atoms.

Definition at line 147 of file mol_select.cpp.

## ◆ molgroup_select()

long molgroup_select | ( | Bmolgroup * | molgroup,
|  | Bstring | selstr
| ) |  |

Sets selection based on a specification.

Parameters

  *molgroup | molecule group structure.
  selstr | selection specification.

Returns
  long number of atoms selected.

Definition at line 51 of file mol_select.cpp.

## ◆ molgroup_select_all()

long molgroup_select_all | ( | Bmolgroup * | molgroup | ) |

Sets selection for all atoms.

Parameters

  *molgroup | molecule group structure.

Returns
  long number of atoms.

Definition at line 125 of file mol_select.cpp.

## ◆ molgroup_select_chains()

int molgroup_select_chains | ( | Bmolgroup * | molgroup,
|  | Bstring | chains
| ) |  |

Selects molecules.

Parameters

  *molgroup | molecule group structure.
  chains | comma-separated list of molecule ids.

Returns
  int chains selected.

Definition at line 168 of file mol_select.cpp.

## Variable Documentation

## ◆ verbose

int verbose